The Spring Framework

## org.springframework.scheduling.quartz
Class LocalTaskExecutorThreadPool

    java.lang.Object
      org.springframework.scheduling.quartz.LocalTaskExecutorThreadPool

All Implemented Interfaces:
  ThreadPool

    public class LocalTaskExecutorThreadPool

extends Object
implements ThreadPool

Quartz ThreadPool adapter that delegates to a Spring-managed TaskExecutor instance, specified on SchedulerFactoryBean.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `SchedulerFactoryBean.setTaskExecutor(org.springframework.core.task.TaskExecutor)`

Field Summary
`protected Log` `logger` Logger available to subclasses

Constructor Summary
`LocalTaskExecutorThreadPool()`

Method Summary
`int` `blockForAvailableThreads()`
`int` `getPoolSize()`
`void` `initialize()`
`boolean` `runInThread(Runnable runnable)`
`void` `shutdown(boolean waitForJobsToComplete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  Logger available to subclasses

Constructor Detail

### LocalTaskExecutorThreadPool

    public LocalTaskExecutorThreadPool()

Method Detail

### initialize

    public void initialize()
                    throws SchedulerConfigException

  Specified by:
    `initialize` in interface `ThreadPool`
  Throws:
    `SchedulerConfigException`

### shutdown

    public void shutdown(boolean waitForJobsToComplete)

  Specified by:
    `shutdown` in interface `ThreadPool`

### getPoolSize

    public int getPoolSize()

  Specified by:
    `getPoolSize` in interface `ThreadPool`

### runInThread

    public boolean runInThread(Runnable runnable)

  Specified by:
    `runInThread` in interface `ThreadPool`

### blockForAvailableThreads

    public int blockForAvailableThreads()

  Specified by:
    `blockForAvailableThreads` in interface `ThreadPool`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.